Subject: Re: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Sep 2022 20:40:38 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 30 Sep 2022 19:34:17 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'd rather leave the decision whether to redraw or not to the caller.
> > I don't see how we can safely assume that the caller never wants to
> > actually use the locale's settings for something display-oriented.
> 
> That's what this does.  If the caller wants to redraw, the caller should
> call `redraw-frame' in the body of that macro.

IMO, that assumes to much knowledge on the part of the caller.  I'd
prefer a variable that would tell the macro that the body does include
display.